package com.ruoyi.project.ehs.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 安全批文主要内容对象 t_safetyapprcont
 *
 * @author ruoyi
 * @date 2020-11-27
 */
public class TSafetyapprcont extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 事业部 */
    @Excel(name = "事业部", dictType = "BUSINESSUNIT")
    private String businessunit;

    /** 许可证上的名称 */
    @Excel(name = "许可证上的名称")
    private String permitname;

    /** BYC使用的名称 */
    @Excel(name = "BYC使用的名称")
    private String bycname;

    /** 设计生产能力 */
    @Excel(name = "设计生产能力")
    private String capacity;

    /** 详细内容 */
    @Excel(name = "详细内容")
    private String contents;

    /** 删除标识 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建日期 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    private String deptName;

    /** 备注 */
    private String remarks;

    /** 安全批文id */
    private String pid;

    /** 安全批文名称 */
    @Excel(name = "安全批文名称")
    private String pname;

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Long getId()
    {
        return id;
    }
    public void setBusinessunit(String businessunit)
    {
        this.businessunit = businessunit;
    }

    public String getBusinessunit()
    {
        return businessunit;
    }
    public void setPermitname(String permitname)
    {
        this.permitname = permitname;
    }

    public String getPermitname()
    {
        return permitname;
    }
    public void setBycname(String bycname)
    {
        this.bycname = bycname;
    }

    public String getBycname()
    {
        return bycname;
    }
    public void setCapacity(String capacity)
    {
        this.capacity = capacity;
    }

    public String getCapacity()
    {
        return capacity;
    }
    public void setContents(String contents)
    {
        this.contents = contents;
    }

    public String getContents()
    {
        return contents;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setPid(String pid)
    {
        this.pid = pid;
    }

    public String getPid()
    {
        return pid;
    }
    public void setPname(String pname)
    {
        this.pname = pname;
    }

    public String getPname()
    {
        return pname;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("businessunit", getBusinessunit())
            .append("permitname", getPermitname())
            .append("bycname", getBycname())
            .append("capacity", getCapacity())
            .append("contents", getContents())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("pid", getPid())
            .append("pname", getPname())
            .toString();
    }
}
